package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.DFMapper;
import com.sa.ibiz.demo.demo.domain.DF;
import com.sa.ibiz.demo.demo.service.DFService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.DFSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[DF] 服务对象接口实现
 */
@Service
public class DFServiceImpl extends ServiceImplBase<DFMapper, DF> implements DFService{


    @Resource
    private DFMapper dfMapper;


    @Override
    public boolean create(DF et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(DF et){
        this.beforeUpdate(et);
		this.dfMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(DF et){
		return et.getDfid();  
    }

    @Override
    public boolean getDraft(DF et)  {
            return true;
    }

	public List<DF> listDefault(DFSearchFilter filter) {
		return dfMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<DF> searchDefault(DFSearchFilter filter) {
		return dfMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return dfMapper.selectRow(sql);
    }

 }